# Get a DWH Integration configuration.

Endpoint: GET /v1/dwh/{dwh_id}/configs
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `dwh_id` (integer, required)
    The ID of the DWH Integration.

## Response 200 fields (application/json):

  - `id` (integer)

  - `config_digest` (string)

  - `created_at` (string)

  - `updated_at` (string)

  - `basic_configs` (object) — one of (discriminator: type):
    The basic configs of the DWH Integration.
    - snowflake:
      - `type` (string, required)
        Connector type
      - `td_authentication_id` (string, required)
        The existing Connector Authentication ID
      - `role` (string)
        Specify the role name, Leave blank to use default role.
      - `warehouse` (string, required)
        The Snowflake data Warehouse to use for the connection, e.g. "COMPUTE_WH"
      - `db` (string, required)
      - `schema` (string, required)
        The schema to use for the connection
      - `incremental` (boolean)
        Enable incremental loading for this connector
    - databricks:
      - `type` (string, required)
        Connector type
      - `td_authentication_id` (string, required)
        The existing Connector Authentication ID
      - `catalog` (string, required)
      - `schema` (string)
        The schema to use for the connection. If not specified, default schema will be used.
      - `incremental` (boolean)
        Enable incremental loading for this connector. If this is enabled, you must specify the incremental_columns or Bulkload job will fail.

  - `advanced_configs` (array)
    The DWH Integration advanced configs. The configs contain array of 
of table configs which combine with the basic configs will be used to create Connector Bulkload Session.

  - `advanced_configs.target_table` (string)
    The name of the TD table to import data into.

  - `advanced_configs.config` (object) — one of (discriminator: type):
    The configuration which will merge with the basic_configs to form a complete Connector configuration for Bulkload job.
Some of the config from the basic_configs can declare here to override the basic_configs.
    - snowflake:
      - `type` (string)
        Connector type, e.g. snowflake, redshift
      - `source_type` (string)
        Specify the import type, either via a table/view or via a query.
        Enum: "table_view", "query"
      - `query` (string)
        Use with (source_type: query) to specify a custom query for importng.
      - `select` (string)
        Comma-separated list of columns to SELECT. Use with (source_type: table_view) to query for columns
      - `table` (string)
        The table/view to import from. Use with (source_type: table_view)
      - `where` (string)
        Specify a WHERE condition to filter the data
      - `order_by` (string)
        Specify the columns to order the data by
      - `incremental` (boolean)
        Enable incremental loading for this connector?
      - `incremental_columns` (array)
        List of column(s) to incremental on. Only timestamp and numeric columns are accepted. 
If not set, it will try to find and use the primary keys
      - `invalid_value_option` (string)
        Specify how to handle invalid data values.
        Enum: "fail_job", "insert_null", "ignore_row"
    - databricks:
      - `type` (string)
        Connector type, e.g. snowflake, redshift
      - `use_custom_query` (boolean)
        If you need more than a simple SELECT (columns) FROM table WHERE (condition).
      - `query` (string)
        Use with (use_custom_query: true) to specify a custom query for importing.
      - `select` (string)
        Comma-separated list of columns to ingest. Use with (use_custom_query: false) to query for columns.
      - `table` (string)
        The table/view to import from. Use with (use_custom_query: false)
      - `where` (string)
        Specify a WHERE condition to filter the data. Use with (use_custom_query: false)
      - `order_by` (string)
        Specify the columns to order the data by. Use with (use_custom_query: false)
      - `incremental` (boolean)
        Enable incremental loading for this connector?
      - `incremental_columns` (array)
        List of column(s) to incremental on. Only timestamp and numeric columns are accepted. 
If not set, it will try to find and use the primary keys
      - `invalid_value_option` (string)
        Specify how to handle invalid data values.
        Enum: same as `invalid_value_option` in "snowflake" (3 values)
      - `last_record` (array)
        Values for columns used in incremental loading. Ignores records with column values less than this
        Enum: "string", "number", "boolean", "null"

  - `output_config` (object)
    Config for how data will be imported into TD.

  - `output_config.database` (string)
    The name of the TD database to import data into. The database must be created before the DWH Integration is created.

  - `output_config.mode` (string)
    Specify the import mode. The default value is append.

  - `output_config.time_column` (string)
    The value of the column will be used as the TD timestamp column.

  - `filter_configs` (array)
    Config for how data will be filtered before importing into TD.
See the connector filters for more info.

  - `filter_configs.type` (string)
    The type of the filter.

  - `filter_configs.from_column` (object)

  - `filter_configs.to_column` (object)

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

  - `error.detail` (object)
    Any extra infomation of the error


